package com.explause.BeanExamples;

import org.springframework.beans.factory.DisposableBean;
import org.springframework.beans.factory.InitializingBean;

public class HelloWorldLifeCycle implements InitializingBean, DisposableBean {
	private String message;
	
	public void setMessage(String message){
		this.message  = message;
	}
	
	public void getMessage(){
		System.out.println("Your Message : " + message);
	}
	
	public void init() {
		System.out.println("In the init method.");
	}
	
	public void end() {
		System.out.println("In the end method.");
	}

	@Override
	public void destroy() throws Exception {
		System.out.println("In the destroy method.");
	}

	@Override
	public void afterPropertiesSet() throws Exception {
		System.out.println("In the afterPropertiesSet method.");
	}

}